Subject: Re: [Bugme-new] [Bug 10327] New: keyboard stops responding after "ifdown eth0"

From: Marcus Better <[email-masked]>
Date: Wed, 26 Mar 2008 10:19:40 +0100

Andrew Morton wrote:
> 	( sleep 10 ; echo t > /proc/sysrq-trigger ) &
> 	ifdown eth0
> 
> 
> - See if the sysrq-t output made it to /var/log/messages

No, not a word. It hung after printing this:

...
DHCPRELEASE ...
send_packet: Network is unreachable
send_packet: please consult README ...
sky2 eth0: disabling interface
~# sky2 eth0: enabling interface

I'm running ifplugd, but this time there was no network cable connected. 
Also ran from virtual console this time, the keyboard locked up like before.

SysRq keys work, so I could do sysrq-s, sysrq-b. Also pressed sysrq-t 
before rebooting.

Any use trying netconsole? Can I run it over the wireless interface?

Marcus